Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.message
Class ExceptionMessage

    java.lang.Object
      org.mule.message.ExceptionMessage

All Implemented Interfaces:
  Serializable

    public class ExceptionMessage

extends Object
implements Serializable

`ExceptionMessage` is used by the DefaultServiceExceptionStrategy for wrapping an exception with a message to send via an endpointUri.

See Also:
  Serialized Form

Field Summary
`protected Map<String,Object>` | `properties`

Constructor Summary
`ExceptionMessage(Object payload, Throwable exception, String componentName, EndpointURI endpointUri)`

Method Summary
`void` | `addProperties(Map<String,Object> properties)` Adds a map of properties to associated with this message
`void` | `clearProperties()` Removes all properties on this message
`String` | `getComponentName()`
`String` | `getEndpoint()`
`Throwable` | `getException()`
`Object` | `getPayload()`
`Map` | `getProperties()` Returns a map of all properties on this message
`Object` | `getProperty(String key)`
`Date` | `getTimeStamp()`
`void` | `setPayload(Object payload)`
`void` | `setProperty(String key, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### properties

    protected Map<String,Object> properties

Constructor Detail

### ExceptionMessage

    public ExceptionMessage(Object payload,
                            Throwable exception,
                            String componentName,
                            EndpointURI endpointUri)

Method Detail

### setPayload

    public void setPayload(Object payload)

### getPayload

    public Object getPayload()

  Returns:
    the current message

### addProperties

    public void addProperties(Map<String,Object> properties)

  Adds a map of properties to associated with this message

  Parameters:
    `properties` - the properties add to this message

### clearProperties

    public void clearProperties()

  Removes all properties on this message

### getProperties

    public Map getProperties()

  Returns a map of all properties on this message

  Returns:
    a map of all properties on this message

### setProperty

    public void setProperty(String key,
                            Object value)

### getProperty

    public Object getProperty(String key)

### getComponentName

    public String getComponentName()

### getEndpoint

    public String getEndpoint()

### getTimeStamp

    public Date getTimeStamp()

### getException

    public Throwable getException()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.